EDIT - bug #6038

[Redmine] NoScript detects CrossSiteScritping for Redmine
08/11/2016 10:15 AM - Patrick Plitzner

Status: Rejected Start date:

Priority: New Due date:

Assignee: Patrick Plitzner % Done: 0%
Category: devOps Estimated time: 0:00 hour
Target version:

Severity: normal Found in Version:

Description

| experienced this warning directly after logging in and when using one of my bookmarks which shows all my open issues
http://dev.e-taxonomy.eu/redmine/projects/edit/issues ?utf8=%E2%9C%93&set_filter=1&{%5B%5D=status_id&op%5Bstatus_id%5D=
%3D&v%5Bstatus_id%5D%5B%5D=2&v%5Bstatus_id%5D%5B%5D=18&v%5Bstatus_id%5D%5B%5D=4&{%5B%5D=assigned_to_i

d&op%5Bassigned_to_id%5D=%3D&v%5Bassigned_to_id%5D%5B%5D=me&{%5B%5D=&Cc%5B%5D=tracker&c%5B%5D=status&
Cc%5B%5D=priority&c%5B%5D=subject&c%5B%5D=assigned_t0&c%5B%5D=updated_on&group_by=8&t%5B%5D=

(btw. clicking on this link works for me. But copy&paste into the address bar does not)
Directly searching for issues works but the link is blocked and | am redirected to the main page
browser console output:

[NoScript InjectionChecker] JavaScript Injection in coalesced:///redmine/projects/edit/issuesutf8=
A¢?2gset_filter=1&f[]=status_id, assigned_to_id, &oplstatus_id]l==&v[status_id][]1=2, 1, 4&opl[assign
ed_to_id]==&v[assigned_to_id] []=me&c[]=tracker, status, priority, subject, assigned_to, updated_on
&group_by=&t[]=

(function anonymous () {

2, 1, 4&oplassigned_to_id]== /* COMMENT_TERMINATOR */

DUMMY_EXPR

})

[NoScript XSS] Eine verddchtige Anfrage wurde bereinigt. Original-URL [http://dev.e-taxonomy.eu/re
dmine/projects/edit/issues?utf8=%E2%9C%93&set_filter=1&f%5B%5D=status_id&op%5Bstatus_1d%5D=%3D&v%5
Bstatus_1d%$5D%5B%5D=2&v%5Bstatus_1d%$5D%5B%5D=1&v%5Bstatus_1d%5D%5B%5D=46f%5B%5D=assigned_to_id&op$%
5Bassigned_to_id%$5D=%3D&v%5Bassigned_to_id%$5D%5B%5D=me&f%$5B%5D=&Cc%5B%$5D=tracker&c%5B%5D=status&c%5
B%5D=priority&c%$5B%$5D=subject&c%5B%5D=assigned_to&c%5B%5D=updated_on&group_by=&t%$5B%$5D=] angeforde
rt von [chrome://browser/content/browser.xul]. Bereinigte URL: [http://dev.e-taxonomy.eu/#73880684
970798538727 .

mutating the [[Prototype]] of an object will cause your code to run very slowly; instead create th
e object with the correct initial [[Prototype]] value using Object.create panel.js:5816:3
Synchrone XMLHttpRequests am Haupt-Thread sollte nicht mehr verwendet werden, weil es nachteilige
Effekte fiir das Erlebnis der Endbenutzer hat. Fiir weitere Hilfe siehe http://xhr.spec.whatwg.org/
panel. js:3525:3

nicht wohlgeformt messages.json:1:1

History

#1 - 08/29/2016 11:09 AM - Andreas Kohlbecker
- Status changed from New to Feedback

- Assignee changed from Andreas Kohlbecker to Patrick Plitzner

| think that this is a false positive xxs detection of NoScript.

Patric, please can you further investigate this issue, if you think that this is really a security problem with redmine or with our redmine setup.
Otherwise | suggest to close this ticket as Rejected.

#2 - 09/07/2016 08:28 AM - Patrick Plitzner
- Status changed from Feedback to Rejected
- Target version deleted (Unassigned CDM tickets)
http://dev.e-taxonomy.eu/redmine/projects/edit/issues?utf8=%E2%9C%93&set_filter=1&f%5B%5D=status_id&op%5Bstatus_id%5D=%3D&v%5Bstatus_id%5D%5B%5D=2&v%5Bstatus_id%5D%5B%5D=1&v%5Bstatus_id%5D%5B%5D=4&f%5B%5D=assigned_to_id&op%5Bassigned_to_id%5D=%3D&v%5Bassigned_to_id%5D%5B%5D=me&f%5B%5D=&c%5B%5D=tracker&c%5B%5D=status&c%5B%5D=priority&c%5B%5D=subject&c%5B%5D=assigned_to&c%5B%5D=updated_on&group_by=&t%5B%5D=

After playing around a little it seems like it the copied link only works if opened from within a Redmine issue. If copied to clipboard and pasted into the
address bar or copied to a text file and opened from there or added to the bookmarks it does not work. | don't want to investigate any further but it
seems like this is coherent with the origin policy for xss. Closing as rejected.
